<?xml version="1.0"?>
<xsl:stylesheet version="1.0" exclude-result-prefixes="rdf rss"
  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:gi2mo="http://purl.org/gi2mo/ns#"
  xmlns:foaf="http://xmlns.com/foaf/0.1/"
  xmlns:dcterms="http://purl.org/dc/terms/"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:rss="http://my.netscape.com/rdf/simple/0.9/">
  <xsl:output method="html" indent="yes" />
  <xsl:template match="/">
    <xsl:apply-templates select="rdf:RDF/gi2mo:Idea" />
  </xsl:template>

  <xsl:template match="rdf:RDF/gi2mo:Idea">
  	<table cellpadding="0" cellspacing="0">
  	<tr>
  		<td class="gi2mo-tooltip-table-row">
		  	<span class="gi2mo-title">Idea Title:</span><span class="gi2mo-title-value"> <xsl:value-of select="dcterms:title"/></span>
	  	</td>
  	</tr>
    <tr>
	    <td class="gi2mo-tooltip-table-row">
    		<span class="gi2mo-status">Status:</span><span class="gi2mo-status-value"><xsl:value-of select="gi2mo:hasStatus"/></span>
		    <span class="gi2mo-category">Category:</span><span class="gi2mo-category-value"><xsl:value-of select="gi2mo:hasCategory"/></span>
    	</td>
    </tr>
    <tr>
    	<td class="gi2mo-line-separator">   
		    <span class="gi2mo-content"><xsl:value-of select="substring(gi2mo:content,1,100)"/>...</span> <!-- substring(.,3)" -->
    	</td>
    </tr>
    <!--
    <tr>
    	<td> 
	    	<span class="popup-title-logo"><span class="popup-title-logo1">ETSIT</span><span class="popup-title-logo2">Ideas</span> powered by Gi<span class="blue">2</span>MO</span>
    	</td>
    </tr> -->
    </table>
	    	<span class="popup-title-logo"><span class="popup-title-logo1">ETSIT</span><span class="popup-title-logo2">Ideas</span> powered by Gi<span class="blue">2</span>MO</span>
    
    <!--     <xsl:text>&#013;</xsl:text> -->
  </xsl:template>
</xsl:stylesheet>