var tooltip_rdfxsl=function(){
	var id = 'tt';
	var top = 3;
	var left = 3;
	var maxw = 300;
	var speed = 10;
	var timer = 20;
	var endalpha = 95;
	var alpha = 0;
	var tt,t,c,b,h;
	var ie = document.all ? true : false;	
	return{
		show:function(px,py,w){
			if(tt == null){
				tt = document.createElement('div');
				tt.setAttribute('id',id);
				t = document.createElement('div');
				t.setAttribute('id',id + 'top');
				c = document.createElement('div');
				c.setAttribute('id',id + 'cont');
				b = document.createElement('div');
				b.setAttribute('id',id + 'bot');
				tt.appendChild(t);
				tt.appendChild(c);
				tt.appendChild(b);
				document.body.appendChild(tt);
				tt.style.opacity = 0;
				tt.style.filter = 'alpha(opacity=0)';
				document.onmousemove = this.pos;
			}
			tt.style.display = 'block';
			c.innerHTML = displayResult();
			tt.style.width = w ? w + 'px' : 'auto';
			if(!w && ie){
				t.style.display = 'none';
				b.style.display = 'none';
				tt.style.width = tt.offsetWidth;
				t.style.display = 'block';
				b.style.display = 'block';
			}
			if(tt.offsetWidth > maxw){tt.style.width = maxw + 'px'}
			h = parseInt(tt.offsetHeight) + top;
			clearInterval(tt.timer);
			tt.timer = setInterval(function(){tooltip_rdfxsl.fade(1)},timer);
			//init position
			//alert('x:'+px+' y:'+py); //x:328 y:461
			var u = px;
			var l = py;
			
			tt.style.top = (u - h) + 'px';
			tt.style.left = (l + left) + 'px';
		},
		pos:function(e){
			var u = ie ? event.clientY + document.documentElement.scrollTop : e.pageY;
			var l = ie ? event.clientX + document.documentElement.scrollLeft : e.pageX;
			tt.style.top = (u - h) + 'px';
			tt.style.left = (l + left) + 'px';
		},
		fade:function(d){
			var a = alpha;
			if((a != endalpha && d == 1) || (a != 0 && d == -1)){
				var i = speed;
				if(endalpha - a < speed && d == 1){
					i = endalpha - a;
				}else if(alpha < speed && d == -1){
					i = a;
				}
				alpha = a + (i * d);
				tt.style.opacity = alpha * .01;
				tt.style.filter = 'alpha(opacity=' + alpha + ')';
			}else{
				clearInterval(tt.timer);
				if(d == -1){tt.style.display = 'none'}
			}
		},
		hide:function(){
			clearInterval(tt.timer);
			tt.timer = setInterval(function(){tooltip_rdfxsl.fade(-1)},timer);
		}
	};
}();

function loadXMLDoc(dname)
{
if (window.XMLHttpRequest)
  {
  xhttp=new XMLHttpRequest();
  }
else
  {
  xhttp=new ActiveXObject("Microsoft.XMLHTTP");
  }
xhttp.open("GET",dname,false);
xhttp.send("");
//bug in ETSITIdeas the rdf is returned as text not xml in the header, so need to parse xml
if (window.DOMParser)
  {
  parser=new DOMParser();
  xmlDoc=parser.parseFromString(xhttp.responseText,"text/xml");
  }
else // Internet Explorer
  {
  xmlDoc=new ActiveXObject("Microsoft.XMLDOM");
  xmlDoc.async="false";
  xmlDoc.loadXML(xhttp.responseText); 
  }
// remove above after ETSITIdeas returns properly formatted header (XML)
return xmlDoc;
}

function displayResult()
{
var html;
//xml=loadXMLDoc("rdf.xml");
//xml=loadXMLDoc("http://localhost/etsit/node/285/rdf");
//xml=loadXMLDoc(rdfLink);
//http://127.0.0.1/~cyan/gi2mo/?gi2mo_link=http://pgi2.atosorigin.es/node/288/rdf
//via proxy
xml=loadXMLDoc('?gi2mo_tooltip=true&gi2mo_link='+rdfLink); //add your full server addess here when deploying online, e.g. http://www.gi2mo.org/

//xml=loadXMLDoc("rdf2");
xsl=loadXMLDoc("wp-content/plugins/gi2mo_tooltip/gi2mo.xsl"); //add your full server addess here when deploying online, e.g.http://www.gi2mo.org/

// code for IE
if (window.ActiveXObject)
  {
  ex=xml.transformNode(xsl);
  //document.getElementById("example").innerHTML=ex;
  html = ex;
  }
// code for Mozilla, Firefox, Opera, etc.
else if (document.implementation && document.implementation.createDocument)
  {
  xsltProcessor=new XSLTProcessor();
  xsltProcessor.importStylesheet(xsl);
  //resultDocument = xsltProcessor.transformToFragment(xml,document);
  resultDocument = xsltProcessor.transformToDocument(xml);
  //document.getElementById("example").appendChild(resultDocument);
  //alert(resultDocument.getElementsByTagName('*').item(0).);
  if (resultDocument.body==null)
  {
  	var s = new XMLSerializer();  
  	var d = resultDocument;  
  	html = s.serializeToString(d);
  } else
	  html = resultDocument.body.innerHTML;
  }
  //hide loading animation
  notificationPlaceholder.style.display='none';
  link_element.style.marginRight='12px';
  return html;
}

var notificationPlaceholder;
var link_element;
var rdfLink="";

function show_gi2mo(e) {
			var ie = document.all ? true : false;
			//alert('Event type is ' + e.target.nextSibling);
			//display loading animation
	        notificationPlaceholder = new Image();
        	//notificationPlaceholder.src = this.baseUrl + '/img/ajax-loader.gif';
    	    notificationPlaceholder.src = 'wp-content/plugins/gi2mo_tooltip/icon_loading.gif'; //add your full server address here when deploying online, e.g. http://www.gi2mo.org/
			//set styles for image - the long way
//			notificationPlaceholder.style.position='absolute';
			notificationPlaceholder.style.width='10px';
			notificationPlaceholder.style.height='10px';
			notificationPlaceholder.id="gi2mo_tooltip_loading_image";
			//notificationPlaceholder.style.zIndex='100';
			//		notificationPlaceholder.style.display='none';
			//document.body.appendChild(notificationPlaceholder);
			if (ie)
			{
				link_element = window.event.srcElement;
				link_element.style.marginRight='2px';
				link_element.parentNode.insertBefore(notificationPlaceholder, link_element.nextSibling);
				rdfLink=link_element.getAttribute('href')+"/rdf";
			} else
			{
				link_element = e.target;
				e.target.style.marginRight='2px';
				e.target.parentNode.insertBefore(notificationPlaceholder, e.target.nextSibling);
				rdfLink=e.target.getAttribute('href')+"/rdf";
			}
			//get initial mouse position for the tooltip
			var u = ie ? event.clientY + document.documentElement.scrollTop : e.pageY;
			var l = ie ? event.clientX + document.documentElement.scrollLeft : e.pageX;
			//setTimeout('tooltip_rdfxsl.show(\''+u+','+l+'\');', 50);
			setTimeout(function(){tooltip_rdfxsl.show(u,l)},50);
}