<?php
/*
Plugin Name: Gi2mo Tooltips
Plugin URI: http://www.gi2mo.org/
Description: Adds the ability to link websites with linked Gi2MO RDF and render html tooltips on hover. V0.1 - only added proxy capabilities for ajax calls
Author: Adam Westerski
Version: 0.1
Author URI: http://adamwesterski.com/
*/ 

//tooltip javascript and css adding to head
function gi2mo_tooltip_head() {
		$x = WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__));
		echo '<script type="text/javascript" language="javascript" src="'.$x.'script.js"></script>';
		echo '<link rel="stylesheet" type="text/css" href="'.$x.'popup-content-style.css">'; 
		
}

//****************** proxy service for AJAX calls 
// ********* Setup sindice services connection ********** 
function is_gi2mo_tooltip() {
	if ( !empty($_GET['gi2mo_tooltip']) ) return true;
	return false;
}

function gi2mo_get_control() {
	global $aaa;
		if ( is_gi2mo_tooltip() ) {
			$aaa = $_GET['sindice_op'];
			$aaa2 = $_GET['hash'];
			pgi_proxy(); //run proxy service stationed at wordpress to process trafic to sindice.com
			die();
			}
}

function pgi_proxy() {
	global $sAutorsServerAddress;
	header("Content-type: application/rdf+xml;charset=utf-8\n\n");
	$link = $_GET['gi2mo_link'];
	// Make the request
	$xml = file_get_contents($link);
	echo $xml;
}

//proxy
add_action('template_redirect', 'gi2mo_get_control'); //sindice services proxy for AJAX calls in javascripts

//add javascripts and css for tooltip
add_action('wp_head', 'gi2mo_tooltip_head');

?>
